Get Compute Flow Details

Get Compute Flow Details
Get unique (deduplicated) flow records for a specific VM

Returns a paginated list of unique (deduplicated) flow records incoming to or outgoing from the specified VM. Flows are deduplicated by source VM, destination VM, destination port, and protocol -- multiple occurrences within the time window collapse into a single row reflecting the most recently observed state.

Notes:

  • start_time is required. Either site_id or site_ids must also be provided.
  • parent_id optionally scopes the result to flows where the VM belongs to a specific parent group.
  • pinned_parent_id optionally scopes results to the pinned group view.
  • filters accepts up to 300 filter entries.
  • Obtain compute-id from the topology graph returned by POST /visualization/topology/compute-flow-topology, where each node represents a compute.
  • To export these results as a CSV file, use POST /visualization/flow-exports/computes/{compute-id}/flow-details/export.
  • To see the DFW rules associated with this VM, use POST /visualization/security-analysis/computes/{compute-id}/related-dfw-rules.
  • To see the IDS rules associated with this VM, use POST /visualization/threat-analysis/computes/{compute-id}/related-ids-rules.
Request
URI
POST
https://{api_host}/intelligence/visualization/flow-analysis/computes/{compute-id}/flow-details
COPY
Path Parameters
string
compute-id
Required  

External ID of the target VM.


Request Body

Wrapper request for ComputeIdFlowDetails with restricted filter keys

VizComputeIdFlowDetailsRequest of type(s) application/json
Required  
This request body class requires all of the following: VizTimeIntervalListSiteRequest , InlineVizComputeIdFlowDetailsRequest1
{
    "start_time": 1778778595918,
    "site_id": "8c27e777-2917-447c-a68f-566b985fe546",
    "page_size": 50,
    "offset": 0,
    "is_active_flows": false
}
Authentication
This operation uses the following authentication methods.
Responses
200

success

Returns FlowDetailListResult of type(s) application/json
This response body class contains all of the following: VizTimeIntervalListResult , InlineFlowDetailListResult1
{
    "offset": 0,
    "number_of_results": 3,
    "total_result_count": 3,
    "total_pages": 1,
    "time_interval": {
        "start_time": 1778778595918,
        "end_time": 1781457063635
    },
    "results": [
        {
            "source": {
                "groups": [],
                "compute": {
                    "entity_type": "COMPUTE",
                    "compute_type": "VM",
                    "id": "50032f8f-52d2-b0ac-2c7e-dabd454564ee",
                    "reference_id": "50032f8f-52d2-b0ac-2c7e-dabd454564ee",
                    "name": "inc_1_nesx-node3_vm_0",
                    "config_events": [],
                    "highlight": false
                },
                "apps": [],
                "flow_type": "UN_MICROSEGMENTED",
                "rules": [
                    {
                        "id": "2"
                    }
                ],
                "jump_to_rules": []
            },
            "destination": {
                "groups": [],
                "compute": {
                    "entity_type": "COMPUTE",
                    "compute_type": "IP",
                    "id": "External",
                    "reference_id": "External",
                    "name": "External",
                    "config_events": [],
                    "highlight": false
                },
                "apps": [],
                "configured_services": [
                    "HTTP",
                    "MSSQL Reporting Services",
                    "MSSQL Server Analysis Services",
                    "vCentre Operations Manager (Standalone) 5.x",
                    "vCentre Operations Manager (vApp) 5.x",
                    "MSSQL Server Database Engine",
                    "View 5.x",
                    "MS Exchange 2007 Unified Messaging Centre",
                    "Microsoft SQL Server",
                    "MS Exchange 2007 Client Access Server",
                    "MS Exchange 2007 Mailbox Servers",
                    "MS Exchange 2007 Transport Servers",
                    "Microsoft Exchange 2003",
                    "MS Exchange 2010 Client Access Servers",
                    "Site Recovery Manager 5.x",
                    "MS Exchange 2010 Unified Messaging Server",
                    "Microsoft Exchange 2007",
                    "SharePoint 2007 V1",
                    "Site Recovery Manager 6.x",
                    "SharePoint 2010 V1",
                    "Microsoft Exchange 2010",
                    "Update Manager",
                    "Vmware View/VDM2.x"
                ],
                "protocol": "TCP",
                "port": 80,
                "flow_type": "UNKNOWN",
                "rules": [
                    {
                        "id": "UNKNOWN"
                    }
                ],
                "jump_to_rules": [
                    {
                        "id": "UNKNOWN"
                    }
                ]
            },
            "flow_info": {
                "last_session_start_time": 1781452720,
                "last_session_end_time": 1781452849,
                "flow_type": "UN_MICROSEGMENTED",
                "is_active": false
            }
        },
        {
            "source": {
                "groups": [],
                "compute": {
                    "entity_type": "COMPUTE",
                    "compute_type": "VM",
                    "id": "50032f8f-52d2-b0ac-2c7e-dabd454564ee",
                    "reference_id": "50032f8f-52d2-b0ac-2c7e-dabd454564ee",
                    "name": "inc_1_nesx-node3_vm_0",
                    "config_events": [],
                    "highlight": false
                },
                "apps": [],
                "flow_type": "UN_MICROSEGMENTED",
                "rules": [
                    {
                        "id": "2"
                    }
                ],
                "jump_to_rules": []
            },
            "destination": {
                "groups": [],
                "compute": {
                    "entity_type": "COMPUTE",
                    "compute_type": "IP",
                    "id": "External",
                    "reference_id": "External",
                    "name": "External",
                    "config_events": [],
                    "highlight": false
                },
                "apps": [],
                "configured_services": [
                    "HTTPS",
                    "VMware Consolidated Backup",
                    "VMware-SRM-H5-UI",
                    "MSSQL Reporting Services",
                    "Data Recovery Appliance",
                    "vCentre Operations Standard 1.x",
                    "vCentre Operations Manager (Standalone) 5.x",
                    "MSSQL Server Analysis Services",
                    "vCentre Operations Manager (vApp) 5.x",
                    "MSSQL Server Database Engine",
                    "View 5.x",
                    "MS Exchange 2007 Unified Messaging Centre",
                    "Microsoft SQL Server",
                    "MS Exchange 2007 Client Access Server",
                    "MS Exchange 2007 Mailbox Servers",
                    "MS Exchange 2010 Transport Servers",
                    "Microsoft Exchange 2003",
                    "MS Exchange 2010 Client Access Servers",
                    "Orchestrator",
                    "Site Recovery Manager 5.x",
                    "MS Exchange 2010 Unified Messaging Server",
                    "Microsoft Exchange 2007",
                    "SharePoint 2007 V1",
                    "Site Recovery Manager 6.x",
                    "SharePoint 2010 V1",
                    "Microsoft Exchange 2010",
                    "vCenter5.x V1",
                    "Update Manager",
                    "Vmware View/VDM2.x"
                ],
                "protocol": "TCP",
                "port": 443,
                "flow_type": "UNKNOWN",
                "rules": [
                    {
                        "id": "UNKNOWN"
                    }
                ],
                "jump_to_rules": [
                    {
                        "id": "UNKNOWN"
                    }
                ]
            },
            "flow_info": {
                "last_session_start_time": 1781452720,
                "last_session_end_time": 1781452852,
                "flow_type": "UN_MICROSEGMENTED",
                "is_active": false
            }
        },
        {
            "source": {
                "groups": [],
                "compute": {
                    "entity_type": "COMPUTE",
                    "compute_type": "VM",
                    "id": "50032f8f-52d2-b0ac-2c7e-dabd454564ee",
                    "reference_id": "50032f8f-52d2-b0ac-2c7e-dabd454564ee",
                    "name": "inc_1_nesx-node3_vm_0",
                    "config_events": [],
                    "highlight": false
                },
                "apps": [],
                "flow_type": "BLOCKED",
                "rules": [
                    {
                        "id": "2028"
                    }
                ],
                "jump_to_rules": []
            },
            "destination": {
                "groups": [],
                "compute": {
                    "entity_type": "COMPUTE",
                    "compute_type": "IP",
                    "id": "External",
                    "reference_id": "External",
                    "name": "External",
                    "config_events": [],
                    "highlight": false
                },
                "apps": [],
                "configured_services": [
                    "NTP Time Server",
                    "NTP",
                    "Microsoft Active Directory V1"
                ],
                "protocol": "UDP",
                "port": 123,
                "flow_type": "UNKNOWN",
                "rules": [
                    {
                        "id": "UNKNOWN"
                    }
                ],
                "jump_to_rules": [
                    {
                        "id": "UNKNOWN"
                    }
                ]
            },
            "flow_info": {
                "last_session_start_time": 1781456019,
                "last_session_end_time": 1781456019,
                "flow_type": "BLOCKED",
                "is_active": false
            }
        }
    ]
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/intelligence/visualization/flow-analysis/computes/{compute-id}/flow-details